<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [assert.dom()][1]
-   [DOMAssertions][2]
    -   [exists][3]
        -   [Parameters][4]
        -   [Examples][5]
    -   [doesNotExist][6]
        -   [Parameters][7]
        -   [Examples][8]
    -   [isChecked][9]
        -   [Parameters][10]
        -   [Examples][11]
    -   [isNotChecked][12]
        -   [Parameters][13]
        -   [Examples][14]
    -   [isFocused][15]
        -   [Parameters][16]
        -   [Examples][17]
    -   [isNotFocused][18]
        -   [Parameters][19]
        -   [Examples][20]
    -   [isRequired][21]
        -   [Parameters][22]
        -   [Examples][23]
    -   [isNotRequired][24]
        -   [Parameters][25]
        -   [Examples][26]
    -   [isValid][27]
        -   [Parameters][28]
        -   [Examples][29]
    -   [isNotValid][30]
        -   [Parameters][31]
        -   [Examples][32]
    -   [isVisible][33]
        -   [Parameters][34]
        -   [Examples][35]
    -   [isNotVisible][36]
        -   [Parameters][37]
        -   [Examples][38]
    -   [hasAttribute][39]
        -   [Parameters][40]
        -   [Examples][41]
    -   [doesNotHaveAttribute][42]
        -   [Parameters][43]
        -   [Examples][44]
    -   [hasAria][45]
        -   [Parameters][46]
        -   [Examples][47]
    -   [doesNotHaveAria][48]
        -   [Parameters][49]
        -   [Examples][50]
    -   [hasProperty][51]
        -   [Parameters][52]
        -   [Examples][53]
    -   [isDisabled][54]
        -   [Parameters][55]
        -   [Examples][56]
    -   [isNotDisabled][57]
        -   [Parameters][58]
        -   [Examples][59]
    -   [hasClass][60]
        -   [Parameters][61]
        -   [Examples][62]
    -   [doesNotHaveClass][63]
        -   [Parameters][64]
        -   [Examples][65]
    -   [hasStyle][66]
        -   [Parameters][67]
        -   [Examples][68]
    -   [hasPseudoElementStyle][69]
        -   [Parameters][70]
        -   [Examples][71]
    -   [doesNotHaveStyle][72]
        -   [Parameters][73]
        -   [Examples][74]
    -   [doesNotHavePseudoElementStyle][75]
        -   [Parameters][76]
        -   [Examples][77]
    -   [hasText][78]
        -   [Parameters][79]
        -   [Examples][80]
    -   [hasAnyText][81]
        -   [Parameters][82]
        -   [Examples][83]
    -   [hasNoText][84]
        -   [Parameters][85]
        -   [Examples][86]
    -   [includesText][87]
        -   [Parameters][88]
        -   [Examples][89]
    -   [doesNotIncludeText][90]
        -   [Parameters][91]
        -   [Examples][92]
    -   [hasValue][93]
        -   [Parameters][94]
        -   [Examples][95]
    -   [hasAnyValue][96]
        -   [Parameters][97]
        -   [Examples][98]
    -   [hasNoValue][99]
        -   [Parameters][100]
        -   [Examples][101]
    -   [matchesSelector][102]
        -   [Parameters][103]
        -   [Examples][104]
    -   [doesNotMatchSelector][105]
        -   [Parameters][106]
        -   [Examples][107]
    -   [hasTagName][108]
        -   [Parameters][109]
        -   [Examples][110]
    -   [doesNotHaveTagName][111]
        -   [Parameters][112]
        -   [Examples][113]

## assert.dom()

Once installed the DOM element assertions are available at `assert.dom(...).*`:

**Parameters**

-   `target` **([string][114] \| [HTMLElement][115])** A CSS selector that can be used to find elements using [`querySelector()`][116], or an [HTMLElement][] (Not all assertions support both target types.) (optional, default `rootElement` or `document`)
-   `rootElement` **[HTMLElement][115]?** The root element of the DOM in which to search for the `target` (optional, default `document`)

**Examples**

```javascript
test('the title exists', function(assert) {
  assert.dom('#title').exists();
});
```


## DOMAssertions

### exists

-   **See: [#doesNotExist][117]
    **

Assert an [HTMLElement][118] (or multiple) matching the `selector` exists.

#### Parameters

-   `options` **[object][119]?** 
    -   `options.count` **[number][120]?** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('#title').exists();
assert.dom('.choice').exists({ count: 4 });
```

### doesNotExist

-   **See: [#exists][3]
    **

Assert an [HTMLElement][118] matching the `selector` does not exists.

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('.should-not-exist').doesNotExist();
```

### isChecked

-   **See: [#isNotChecked][122]
    **

Assert that the [HTMLElement][118] or an [HTMLElement][118] matching the
`selector` is currently checked.

Note: This also supports `aria-checked="true/false"`.

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input.active').isChecked();
```

### isNotChecked

-   **See: [#isChecked][123]
    **

Assert that the [HTMLElement][118] or an [HTMLElement][118] matching the
`selector` is currently unchecked.

Note: This also supports `aria-checked="true/false"`.

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input.active').isNotChecked();
```

### isFocused

-   **See: [#isNotFocused][124]
    **

Assert that the [HTMLElement][118] or an [HTMLElement][118] matching the
`selector` is currently focused.

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input.email').isFocused();
```

### isNotFocused

-   **See: [#isFocused][125]
    **

Assert that the [HTMLElement][118] or an [HTMLElement][118] matching the
`selector` is not currently focused.

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input[type="password"]').isNotFocused();
```

### isRequired

-   **See: [#isNotRequired][126]
    **

Assert that the [HTMLElement][118] or an [HTMLElement][118] matching the
`selector` is currently required.

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input[type="text"]').isRequired();
```

### isNotRequired

-   **See: [#isRequired][127]
    **

Assert that the [HTMLElement][118] or an [HTMLElement][118] matching the
`selector` is currently not required.

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input[type="text"]').isNotRequired();
```

### isValid

-   **See: [#isValid][128]
    **

Assert that the [HTMLElement][118] passes validation

Validity is determined by asserting that:

-   `element.reportValidity() === true`

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('.input').isValid();
```

### isNotValid

-   **See: [#isValid][128]
    **

Assert that the [HTMLElement][118] does not pass validation

Validity is determined by asserting that:

-   `element.reportValidity() === true`

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('.input').isNotValid();
```

### isVisible

-   **See: [#isNotVisible][129]
    **

Assert that the [HTMLElement][118] or an [HTMLElement][118] matching the
`selector` exists and is visible.

Visibility is determined by asserting that:

-   the element's offsetWidth and offsetHeight are non-zero
-   any of the element's DOMRect objects have a non-zero size

Additionally, visibility in this case means that the element is visible on the page,
but not necessarily in the viewport.

#### Parameters

-   `options` **[object][119]?** 
    -   `options.count` **[number][120]?** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('#title').isVisible();
assert.dom('.choice').isVisible({ count: 4 });
```

### isNotVisible

-   **See: [#isVisible][130]
    **

Assert that the [HTMLElement][118] or an [HTMLElement][118] matching the
`selector` does not exist or is not visible on the page.

Visibility is determined by asserting that:

-   the element's offsetWidth or offsetHeight are zero
-   all of the element's DOMRect objects have a size of zero

Additionally, visibility in this case means that the element is visible on the page,
but not necessarily in the viewport.

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('.foo').isNotVisible();
```

### hasAttribute

-   **See: [#doesNotHaveAttribute][131]
    **

Assert that the [HTMLElement][118] has an attribute with the provided `name`
and optionally checks if the attribute `value` matches the provided text
or regular expression.

#### Parameters

-   `name` **[string][121]** 
-   `value` **([string][121] \| [RegExp][132] \| [object][119]?)** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input.password-input').hasAttribute('type', 'password');
```

### doesNotHaveAttribute

-   **See: [#hasAttribute][133]
    **

Assert that the [HTMLElement][118] has no attribute with the provided `name`.

**Aliases:** `hasNoAttribute`, `lacksAttribute`

#### Parameters

-   `name` **[string][121]** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input.username').hasNoAttribute('disabled');
```

### hasAria

-   **See: [#hasNoAria][134]
    **

Assert that the [HTMLElement][118] has an ARIA attribute with the provided
`name` and optionally checks if the attribute `value` matches the provided
text or regular expression.

#### Parameters

-   `name` **[string][121]** 
-   `value` **([string][121] \| [RegExp][132] \| [object][119]?)** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('button').hasAria('pressed', 'true');
```

### doesNotHaveAria

-   **See: [#hasAria][135]
    **

Assert that the [HTMLElement][118] has no ARIA attribute with the
provided `name`.

#### Parameters

-   `name` **[string][121]** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('button').doesNotHaveAria('pressed');
```

### hasProperty

-   **See: [#doesNotHaveProperty][136]
    **

Assert that the [HTMLElement][118] has a property with the provided `name`
and checks if the property `value` matches the provided text or regular
expression.

#### Parameters

-   `name` **[string][121]** 
-   `value` **([RegExp][132] | any)** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input.password-input').hasProperty('type', 'password');
```

### isDisabled

-   **See: [#isNotDisabled][137]
    **

Assert that the [HTMLElement][118] or an [HTMLElement][118] matching the
`selector` is disabled.

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('.foo').isDisabled();
```

### isNotDisabled

-   **See: [#isDisabled][138]
    **

Assert that the [HTMLElement][118] or an [HTMLElement][118] matching the
`selector` is not disabled.

**Aliases:** `isEnabled`

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('.foo').isNotDisabled();
```

### hasClass

-   **See: [#doesNotHaveClass][139]
    **

Assert that the [HTMLElement][118] has the `expected` CSS class using
[`classList`][140].

`expected` can also be a regular expression, and the assertion will return
true if any of the element's CSS classes match.

#### Parameters

-   `expected` **([string][121] \| [RegExp][132])** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input[type="password"]').hasClass('secret-password-input');
```

```javascript
assert.dom('input[type="password"]').hasClass(/.*password-input/);
```

### doesNotHaveClass

-   **See: [#hasClass][141]
    **

Assert that the [HTMLElement][118] does not have the `expected` CSS class using
[`classList`][140].

`expected` can also be a regular expression, and the assertion will return
true if none of the element's CSS classes match.

**Aliases:** `hasNoClass`, `lacksClass`

#### Parameters

-   `expected` **([string][121] \| [RegExp][132])** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input[type="password"]').doesNotHaveClass('username-input');
```

```javascript
assert.dom('input[type="password"]').doesNotHaveClass(/username-.*-input/);
```

### hasStyle

-   **See: [#hasClass][141]
    **

Assert that the [HTMLElement][] has the `expected` style declarations using
[`window.getComputedStyle`][142].

#### Parameters

-   `expected` **[object][119]** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('.progress-bar').hasStyle({
  opacity: 1,
  display: 'block'
});
```

### hasPseudoElementStyle

-   **See: [#hasClass][141]
    **

Assert that the pseudo element for `selector` of the [HTMLElement][] has the `expected` style declarations using
[`window.getComputedStyle`][142].

#### Parameters

-   `selector` **[string][121]** 
-   `expected` **[object][119]** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('.progress-bar').hasPseudoElementStyle(':after', {
  content: '";"',
});
```

### doesNotHaveStyle

-   **See: [#hasClass][141]
    **

Assert that the [HTMLElement][] does not have the `expected` style declarations using
[`window.getComputedStyle`][142].

#### Parameters

-   `expected` **[object][119]** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('.progress-bar').doesNotHaveStyle({
  opacity: 1,
  display: 'block'
});
```

### doesNotHavePseudoElementStyle

-   **See: [#hasClass][141]
    **

Assert that the pseudo element for `selector` of the [HTMLElement][] does not have the `expected` style declarations using
[`window.getComputedStyle`][142].

#### Parameters

-   `selector` **[string][121]** 
-   `expected` **[object][119]** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('.progress-bar').doesNotHavePseudoElementStyle(':after', {
  content: '";"',
});
```

### hasText

-   **See: [#includesText][143]
    **

Assert that the text of the [HTMLElement][118] or an [HTMLElement][118]
matching the `selector` matches the `expected` text, using the
[`textContent`][144]
attribute and stripping/collapsing whitespace.

`expected` can also be a regular expression.

> Note: This assertion will collapse whitespace if the type you pass in is a string.
> If you are testing specifically for whitespace integrity, pass your expected text
> in as a RegEx pattern.

**Aliases:** `matchesText`

#### Parameters

-   `expected` **([string][121] \| [RegExp][132])** 
-   `message` **[string][121]?** 

#### Examples

```javascript
// <h2 id="title">
//   Welcome to <b>QUnit</b>
// </h2>

assert.dom('#title').hasText('Welcome to QUnit');
```

```javascript
assert.dom('.foo').hasText(/[12]\d{3}/);
```

### hasAnyText

-   **See: [#hasText][145]
    **

Assert that the `textContent` property of an [HTMLElement][118] is not empty.

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('button.share').hasAnyText();
```

### hasNoText

-   **See: [#hasNoText][146]
    **

Assert that the `textContent` property of an [HTMLElement][118] is empty.

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('div').hasNoText();
```

### includesText

-   **See: [#hasText][145]
    **

Assert that the text of the [HTMLElement][118] or an [HTMLElement][118]
matching the `selector` contains the given `text`, using the
[`textContent`][144]
attribute.

> Note: This assertion will collapse whitespace in `textContent` before searching.
> If you would like to assert on a string that _should_ contain line breaks, tabs,
> more than one space in a row, or starting/ending whitespace, use the [#hasText][145]
> selector and pass your expected text in as a RegEx pattern.

**Aliases:** `containsText`, `hasTextContaining`

#### Parameters

-   `text` **[string][121]** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('#title').includesText('Welcome');
```

### doesNotIncludeText

Assert that the text of the [HTMLElement][118] or an [HTMLElement][118]
matching the `selector` does not include the given `text`, using the
[`textContent`][144]
attribute.

**Aliases:** `doesNotContainText`, `doesNotHaveTextContaining`

#### Parameters

-   `text` **[string][121]** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('#title').doesNotIncludeText('Welcome');
```

### hasValue

-   **See: [#hasAnyValue][147]
    **
-   **See: [#hasNoValue][148]
    **

Assert that the `value` property of an [HTMLInputElement][149] matches
the `expected` text or regular expression.

If no `expected` value is provided, the assertion will fail if the
`value` is an empty string.

#### Parameters

-   `expected` **([string][121] \| [RegExp][132] \| [object][119]?)** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input.username').hasValue('HSimpson');
```

### hasAnyValue

-   **See: [#hasValue][150]
    **
-   **See: [#hasNoValue][148]
    **

Assert that the `value` property of an [HTMLInputElement][149] is not empty.

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input.username').hasAnyValue();
```

### hasNoValue

-   **See: [#hasValue][150]
    **
-   **See: [#hasAnyValue][147]
    **

Assert that the `value` property of an [HTMLInputElement][149] is empty.

**Aliases:** `lacksValue`

#### Parameters

-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input.username').hasNoValue();
```

### matchesSelector

Assert that the target selector selects only Elements that are also selected by
compareSelector.

#### Parameters

-   `compareSelector` **[string][121]** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('p.red').matchesSelector('div.wrapper p:last-child')
```

### doesNotMatchSelector

Assert that the target selector selects only Elements that are not also selected by
compareSelector.

#### Parameters

-   `compareSelector` **[string][121]** 
-   `message` **[string][121]?** 

#### Examples

```javascript
assert.dom('input').doesNotMatchSelector('input[disabled]')
```

### hasTagName

Assert that the tagName of the [HTMLElement][118] or an [HTMLElement][118]
matching the `selector` matches the `expected` tagName, using the
[`tagName`][151]
property of the [HTMLElement][118].

#### Parameters

-   `tagName`  
-   `message` **[string][121]?** 
-   `expected` **[string][121]** 

#### Examples

```javascript
// <h1 id="title">
//   Title
// </h1>

assert.dom('#title').hasTagName('h1');
```

### doesNotHaveTagName

Assert that the tagName of the [HTMLElement][118] or an [HTMLElement][118]
matching the `selector` does not match the `expected` tagName, using the
[`tagName`][151]
property of the [HTMLElement][118].

#### Parameters

-   `tagName`  
-   `message` **[string][121]?** 
-   `expected` **[string][121]** 

#### Examples

```javascript
// <section id="block">
//   Title
// </section>

assert.dom('section#block').doesNotHaveTagName('div');
```

[1]: #assertdom

[2]: #domassertions

[3]: #exists

[4]: #parameters

[5]: #examples

[6]: #doesnotexist

[7]: #parameters-1

[8]: #examples-1

[9]: #ischecked

[10]: #parameters-2

[11]: #examples-2

[12]: #isnotchecked

[13]: #parameters-3

[14]: #examples-3

[15]: #isfocused

[16]: #parameters-4

[17]: #examples-4

[18]: #isnotfocused

[19]: #parameters-5

[20]: #examples-5

[21]: #isrequired

[22]: #parameters-6

[23]: #examples-6

[24]: #isnotrequired

[25]: #parameters-7

[26]: #examples-7

[27]: #isvalid

[28]: #parameters-8

[29]: #examples-8

[30]: #isnotvalid

[31]: #parameters-9

[32]: #examples-9

[33]: #isvisible

[34]: #parameters-10

[35]: #examples-10

[36]: #isnotvisible

[37]: #parameters-11

[38]: #examples-11

[39]: #hasattribute

[40]: #parameters-12

[41]: #examples-12

[42]: #doesnothaveattribute

[43]: #parameters-13

[44]: #examples-13

[45]: #hasaria

[46]: #parameters-14

[47]: #examples-14

[48]: #doesnothavearia

[49]: #parameters-15

[50]: #examples-15

[51]: #hasproperty

[52]: #parameters-16

[53]: #examples-16

[54]: #isdisabled

[55]: #parameters-17

[56]: #examples-17

[57]: #isnotdisabled

[58]: #parameters-18

[59]: #examples-18

[60]: #hasclass

[61]: #parameters-19

[62]: #examples-19

[63]: #doesnothaveclass

[64]: #parameters-20

[65]: #examples-20

[66]: #hasstyle

[67]: #parameters-21

[68]: #examples-21

[69]: #haspseudoelementstyle

[70]: #parameters-22

[71]: #examples-22

[72]: #doesnothavestyle

[73]: #parameters-23

[74]: #examples-23

[75]: #doesnothavepseudoelementstyle

[76]: #parameters-24

[77]: #examples-24

[78]: #hastext

[79]: #parameters-25

[80]: #examples-25

[81]: #hasanytext

[82]: #parameters-26

[83]: #examples-26

[84]: #hasnotext

[85]: #parameters-27

[86]: #examples-27

[87]: #includestext

[88]: #parameters-28

[89]: #examples-28

[90]: #doesnotincludetext

[91]: #parameters-29

[92]: #examples-29

[93]: #hasvalue

[94]: #parameters-30

[95]: #examples-30

[96]: #hasanyvalue

[97]: #parameters-31

[98]: #examples-31

[99]: #hasnovalue

[100]: #parameters-32

[101]: #examples-32

[102]: #matchesselector

[103]: #parameters-33

[104]: #examples-33

[105]: #doesnotmatchselector

[106]: #parameters-34

[107]: #examples-34

[108]: #hastagname

[109]: #parameters-35

[110]: #examples-35

[111]: #doesnothavetagname

[112]: #parameters-36

[113]: #examples-36

[114]: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String

[115]: https://developer.mozilla.org/en-US/docs/Web/HTML/Element

[116]: https://developer.mozilla.org/de/docs/Web/API/Document/querySelector

[117]: #doesNotExist

[118]: https://developer.mozilla.org/docs/Web/HTML/Element

[119]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object

[120]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number

[121]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String

[122]: #isNotChecked

[123]: #isChecked

[124]: #isNotFocused

[125]: #isFocused

[126]: #isNotRequired

[127]: #isRequired

[128]: #isValid

[129]: #isNotVisible

[130]: #isVisible

[131]: #doesNotHaveAttribute

[132]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/RegExp

[133]: #hasAttribute

[134]: #hasNoAria

[135]: #hasAria

[136]: #doesNotHaveProperty

[137]: #isNotDisabled

[138]: #isDisabled

[139]: #doesNotHaveClass

[140]: https://developer.mozilla.org/en-US/docs/Web/API/Element/classList

[141]: #hasClass

[142]: https://developer.mozilla.org/en-US/docs/Web/API/Window/getComputedStyle

[143]: #includesText

[144]: https://developer.mozilla.org/en-US/docs/Web/API/Node/textContent

[145]: #hasText

[146]: #hasNoText

[147]: #hasAnyValue

[148]: #hasNoValue

[149]: https://developer.mozilla.org/docs/Web/API/HTMLInputElement

[150]: #hasValue

[151]: https://developer.mozilla.org/en-US/docs/Web/API/Element/tagName
